version: '3'


services:
  web:
    container_name: social_web
    command: python app.py
    build: .
    expose:
      - 8080
    volumes:
      - ./social_aiohttp:/social_aiohttp
    ports:
      - 8080:8080
    depends_on:
      - social_db

  social_db:
    container_name: social_db
    restart: always
    image: mongo:latest
    environment:
      MONGO_INITDB_ROOT_USERNAME: social
      MONGO_INITDB_ROOT_PASSWORD: social
    volumes:
    - mongo_data:/data/db

  mongo-express:
    restart: always
    image: mongo-express
    ports:
      - 8081:8081
    environment:
      ME_CONFIG_MONGODB_ADMINUSERNAME: social
      ME_CONFIG_MONGODB_ADMINPASSWORD: social
      ME_CONFIG_MONGODB_SERVER: social_db

volumes:
  mongo_data: